Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Mar 2016 18:40:00 +0200

> From: Alain Schneble <[email-masked]>
> CC: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Date: Mon, 7 Mar 2016 23:21:56 +0100
> 
> > So we should only return EWOULDBLOCK when FILE_CONNECT is set _and_
> > the status is not STATUS_CONNECT_FAILED.  If FILE_CONNECT is set, but
> > the status is STATUS_CONNECT_FAILED, we should instead return the
> > value computed from cp->errcode (if it is non-zero).  There's an
> > example of that in sys_read.
> 
> Thank you very much for these inputs.  I rearranged the patch to include
> these two cases and removed another special case that should no longer
> be needed as it is covered by the first one.
> 
> Is this what you had in mind?  Do you agree with the change?

Yes, it looks good to me.  I will test it in a couple of days.

Thanks.